Bug 9575 - Duplicate flags defined in the winbindd protocol.
Duplicate flags defined in the winbindd protocol.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
4.0.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-18 19:32 UTC by Jeremy Allison
Modified: 2013-01-22 10:58 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix that got pushed to master. (3.70 KB, patch)
2013-01-18 19:38 UTC, Jeremy Allison
ira: review+
jra: review? (abartlet)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-01-18 19:32:08 UTC
From: Ira Cooper <ira@wakeful.net>
Subject: winbindd - NTLMv2 not working

Background: I've been tracking down a  NTLMv2 auth issue in our environment
with 4.0 and master, I've been seeing massive allocations fail, and reputed
&quot;PAC&quot;s that make no sense.

Further investigations showed that Kerberos authentication was not being
requested via SPNEGO but in fact normal NTLMv2, that was somehow
being interpreted as PAC authentication.

The bug is: In fact that's EXACTLY what is happening.  Due to two constants in
nsswitch/winbindd_struct_protocol.h being the same. (WBFLAG_PAM_AUTH_PAC and
 WBFLAG_BIG_NTLMV2_BLOB)
Comment 1 Jeremy Allison 2013-01-18 19:38:54 UTC
Created attachment 8448 [details]
git-am fix that got pushed to master.

Already reviewed for master, but needs additional +1 for 4.0.2.
Jeremy.
Comment 2 Jeremy Allison 2013-01-18 19:40:56 UTC
Re-assigning to Karolin for inclusion in 4.0.2.
Jeremy.
Comment 3 Karolin Seeger 2013-01-21 10:11:24 UTC
Pushed to autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-01-22 10:58:33 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!